<template>
	<view v-if="!isLogin" class="m-log g_flex_column_start g_bg_page">
		<view>
			<rh-login-false-list loginUrl="/root/login/index" />
		</view>
	</view>
	<view class="p-root-home-quick g_w_all g_bg_f_5 g_kuaishou" v-else>
		<rh-apply useform="pages"></rh-apply>
	</view>
</template>
<script>
export default {
	data() {
		return {
			isLogin: false,
		};
	},
	onShow() {
		let that = this;
		this.isLogin = uni.getStorageSync("apply-token") ? true : false;
	},
	onShareAppMessage() {
		let that = this;
		let path;
		path = `/pages/apply/index`;
		let appInfo = uni.getStorageSync("miniApp-info");
		return {
			title: appInfo.slogan || "你想找的厂都有，立即查看",
			imageUrl: appInfo.sharePoster,
			path,
		};
	},
	onShareTimeline() {
		let that = this;
		let appInfo = uni.getStorageSync("miniApp-info");
		return {
			title: appInfo.slogan || "你想找的厂都有，立即查看",
			imageUrl: appInfo.logo,
		};
	},
};
</script>

<style lang="scss"></style>
